Subject: bug#31904: scatch/ns-drawing

From: "[email-masked]" <[email-masked]>
Date: Sat, 18 Aug 2018 12:23:02 -0700

Another wrinkle (emacs-26 with patch applied):

When I change my font, all the text disappears except for the current line.

The text comes back if:

- I move the cursor over the affected areas.
- I wait a bit (from the cursor line down renders).
- Switch away to a non-Emacs window.

Seems like as soon as there’s a reason to paint the screen, it comes back.

Functions I use:

(defun kfi/set-font (name weight)
  "Set a font to NAME and its WEIGHT."
  (set-face-attribute 'default nil :family name :weight weight))

(defun kfi/heavy-font ()
  "Change to a heavy font."
  (interactive)
  (kfi/set-font "Monaco" 'normal))

(defun kfi/normal-font ()
  "Change to a normal font."
  (interactive)
  (kfi/set-font "Menlo" 'normal))